Manjaro corrupt package

Estou tentando atualizar o manjaro, no terminal ele atualiza algumas coisas e depois começa a dar um monte de erro e acaba por aí. No pamac, ele nem atualiza, ele só diz que vai atualizar e quando vai começar a baixar os pacotes ele dá " corrupted package ".
Alguém está com um problema parecido ou já passou por isso ou tem a solução?

A primeira coisa que recomendaria você fazer e “atualizar” seus mirrors e tentar novamente. Isso pode ser feito através das configurações do Pamac ou com os comandos abaixo.

O comando vai selecionar os 3 melhores mirros para você.
sudo pacman-mirrors -f3

Agora verifica se a atualização prossegue.
pamac upgrade ou sudo pacman -Syyu

Isso pode resolver o seu problema, se persistir, informe aqui novamente.

Saudações.

1 Curtida

Então. Tentei 2 vezes em cada método, pelo terminal e pelo pamac, entre as tentativas eu reiniciei o pc.
Não faço idéia do porquê, quando, onde; mas na quinta tentativa atualizou normal.
De qualquer forma, agradeço a ajuda!

:laughing:

Acredito que nas tentativas que não deram certo foi devido ter selecionado algum mirror que não estava 100% sincronizado/atualizado, mas isso é só uma opinião.

Quando acontecer isso novamente, você pode conferir quais mirrors estão 100% sincronizados/atualizados através dessa página.
https://repo.manjaro.org

Saudações.

1 Curtida

Agradeço a ajuda! :ok_hand:

1 Curtida